<nav>
  @for (breadcrumb of breadcrumbs; track breadcrumb; let last = $last) {
    <ng-container>
      @if (!last) {
        <ng-container>
          <button
            class="fs-18 fw-500 simplut-breadcrumb-btn"
            mat-button
            color="primary"
            (click)="updateBreadcrumbs(breadcrumb)"
          >
            {{ breadcrumb.name | titlecaseNodeName }}
          </button>
          &sol;
        </ng-container>
      }
      @if (last) {
        <ng-container class="fs-18 fw-500">
          {{ breadcrumb.name | titlecaseNodeName }}
        </ng-container>
      }
    </ng-container>
  }
</nav>
